Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tracking.events
Class AddToCartEvent

    java.lang.Object
      com.bea.p13n.property.AbstractConfigurableEntity
          com.bea.p13n.events.Event
              com.bea.p13n.tracking.events.TrackingEvent
                  com.bea.commerce.ebusiness.tracking.events.ShoppingEvent
                      com.bea.commerce.ebusiness.tracking.events.AddToCartEvent

All Implemented Interfaces
  EventConstants, ConfigurableEntity, Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class AddToCartEvent

extends ShoppingEvent

Event for tracking additions to shopping cart

See Also
  Serialized Form

Field Summary
`static String` | `TYPE` Deprecated See BEA Commerce product offering
`static String` | `UNIT_LIST_PRICE` Deprecated See BEA Commerce product offering

Fields inherited from class com.bea.commerce.ebusiness.tracking.events.ShoppingEvent
`APPLICATION_NAME, CURRENCY, QUANTITY, SKU`

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`REQUEST, SESSION_ID, USER_ID, USER_TYPE`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.bea.p13n.events.EventConstants
`TYPE_ALL`

Constructor Summary
`AddToCartEvent(String theSessionId, String theUserId, javax.servlet.http.HttpServletRequest theRequest, String aSKU, Double theQuantity, Double theUnitPrice, String aCurrency, String aApplicationName)` Deprecated See BEA Commerce product offering

Method Summary

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getSession, getXMLNamespace, getXSDFile, setSchemaKeys, setSession, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### TYPE

    public static final String TYPE

  Deprecated See BEA Commerce product offering
  The event type

  See Also
    Constants Summary

### UNIT_LIST_PRICE

    public static final String UNIT_LIST_PRICE

  Deprecated See BEA Commerce product offering
  Event attribute key name for unit price Attribute value is a Double

  See Also
    Constants Summary

Constructor Detail

### AddToCartEvent

    public AddToCartEvent(String theSessionId,
                          String theUserId,
                          javax.servlet.http.HttpServletRequest theRequest,
                          String aSKU,
                          Double theQuantity,
                          Double theUnitPrice,
                          String aCurrency,
                          String aApplicationName)

  Deprecated See BEA Commerce product offering

  Create a new AddToCartEvent.

  Parameters
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theRequest` - the http servlet request object
    `aSKU` - SKU of the item (optionally null)
    `theQuantity` - quantity of item
    `theUnitPrice` - price per unit quantity of the item
    `aCurrency` - the currency (null if unknown)
    `aApplicationName` - application name (aka storefront) (optionally null)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved